<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::rename('master_types', 'account_types');

        Schema::table('account_types', function (Blueprint $table) {
            $table->dropColumn('module_name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::rename('account_types', 'master_types');

        Schema::table('master_types', function (Blueprint $table) {
            $table->string('module_name', '30')->nullable();
        });
    }
};
